Subject: Re: [P2PSIP] WGLC for draft-ietf-p2psip-drr-02

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 02 Sep 2012 10:57:50 -0700

I carefully read this I-D and I think it is ready to be submitted to the IESG.

My only comment would be that, although the distinction between node, peer and
client is clearly explained in section 2, their usage in the subsequent
sections is less rigorous.  For example section 6 uses "peer" where it should
probably use node instead.

Nits
- ----

- - Section 1.1:

s/intermediary peers ./intermediary peers./

- - Section 6.2:

s/state- keeping/state-keeping/

- - Section 6.2.1:

s/flag : 0x8/flag : 0x08/

s/VIA list/via_list/

- - Section 6.2.2;

s/section 5.3.2.3/section 6.3.2.3/

s/Destination destination<1..2^8-1>;/Destination destinations<1..2^8-1>;/

s/section 5.5.1.1/section 6.5.1.1/

s/section 5.3.2.2/section 6.3.2.2/

s/section 5.3.1.1/section 6.3.1.1/

s/node's node-id./node's Node-ID./

(node-id used at other places in the i_D)

- - Section 6.3.1:

s/defined as type peer/defined as type node/

- - Section 6.4.2:

s/trying to response/trying to respond/

- - Section 7.1:

s/a STUN usage [I-D.ietf-behave-nat-behavior-discovery]/a STUN usage [RFC5780]/

UPnp-IGD and NAT-PMP are missing references.

- - Section 9.1: Type: 0x2

Should be formatted as section 14.12 in -base.

On 08/06/2012 02:36 PM, Carlos Jesús Bernardos Cano wrote:
> Hi,
> 
> Hereby we are issuing a WGLC for draft-ietf-p2psip-drr-02.
> 
> The WGLC will be open till the 3rd of September to give enough time for 
> people to review considering the summer break. We kindly ask the WG to 
> review the document and provide comments.
> 
> If you have no comments and think the document is ready to be submitted to
> IESG, please do send a note stating that to the WG ML.
> 
> Additional information about the document is below:
> 
> Title           : An extension to RELOAD to support Direct Response
> Routing Author(s)       : Ning Zong Xingfeng Jiang Roni Even Yunfei Zhang 
> Filename        : draft-ietf-p2psip-drr-02.txt Pages           : 18 Date
> : 2012-05-29
> 
> This document proposes an optional extension to RELOAD to support direct
> response routing mode.  RELOAD recommends symmetric recursive routing for
> routing messages.  The new optional extension provides a shorter route for
> responses reducing the overhead on intermediary peers and describes the
> potential cases where this extension can be used.
> 
> 
> A URL for this Internet-Draft is: 
> http://www.ietf.org/internet-drafts/draft-ietf-p2psip-drr-02.txt
> 
> The IETF datatracker page for this Internet-Draft is: 
> https://datatracker.ietf.org/doc/draft-ietf-p2psip-drr/
> 
> 

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug

---

From: Zongning <[email-masked]>
Date: Mon, 3 Sep 2012 04:30:36 +0000

Thanks, Marc

I will revise both drafts based on your comments.

-Ning

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Marc Petit-Huguenin
> Sent: Monday, September 03, 2012 1:58 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [P2PSIP] WGLC for draft-ietf-p2psip-drr-02
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.12 (GNU/Linux)
> 
> iQIcBAEBCAAGBQJQQ54cAAoJECnERZXWan7EAJ8QALis/HDuHw3DGcXeXBSH1
> o1M
> 32q0l48oguxME/pQeMUcU6cuwuDMzU8277irhC4zUluvcZp07XJhTNp/T/heXSe
> 0
> 2vWe5O+hg+D219y3dr78Zq6+MKE/NiBiKJBIjM8jHGmQAjs++BCePhLCXBV54oe
> 4
> oCNVj46LSXQhud87HIOBDvb1Lfrx0N2TAl3EWLJ4yWSxaImTjrAhXfCHH2volz0Z
> lRcbSWktWUDSXna2dp4gdsArtE2oAI1Swcebknj5Epo+JoC6Okbl0j094I8o3ogr
> j2/p4N1H4NrZZlsn4hxJKeTBDa8/XQMiojCa/D9uro7uDgcxsROkrkxdagCxdQfD
> bAr35lfPLSalrWf8jcomhwHhFUTPrFPW/ShnODG9sfeUAyBGZOONikwcv+FS7VSL
> XLy8B4MViFQmBMBC+RB0fUlKb2P06p919l5GsfMyOuPHFPRNw1pXmOj2FVB1I
> C6f
> fl65mM7u4xT0BrutLLUqBU9+oV7XzEOBGkAnpJsoZNr0/a/2Dbw7rKP+AoQTb3R
> s
> 9PDHibjtJOnPlsnhGWyXu7adhkKeMQ88IsaTawyMkcRxUEBRdKFzdxd6iam9VDt
> 0
> IUvCTSNKcVLxJIdxh02yfsiC3sn1qoYGnwSXCYqWL9cnJKnPqzuAOCHnPUrLCvtV
> INYCsR45ONXPvFUQ65Tl
> =ViOI
> -----END PGP SIGNATURE-----
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip